Name:          libde265
Version:       1.0.8
Release:       1mamba
Summary:       Open h.265 video codec implementation
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/strukturag/libde265
Source:        https://github.com/strukturag/libde265.git/v%{version}/libde265-%{version}.tar.bz2
License:       LGPL, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL-devel
BuildRequires: libdirectfb-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libts-devel
BuildRequires: libz-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Open h.265 video codec implementation.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Graphics
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libde265.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libde265
%{_includedir}/libde265/*
%{_libdir}/libde265.a
%{_libdir}/libde265.la
%{_libdir}/libde265.so
%{_libdir}/pkgconfig/libde265.pc
%doc ChangeLog NEWS README README.md

%files tools
%defattr(-,root,root)
%{_bindir}/acceleration_speed
%{_bindir}/bjoentegaard
%{_bindir}/block-rate-estim
%{_bindir}/dec265
%{_bindir}/enc265
%{_bindir}/gen-enc-table
%{_bindir}/hdrcopy
%{_bindir}/rd-curves
%{_bindir}/sherlock265
%{_bindir}/tests
%{_bindir}/yuv-distortion

%changelog
* Tue Apr 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-1mamba
- package created using the webbuild interface
